#!/bin/bash

toolLoc="/local/sda7/cap508/ePMC2"

if [ $# -lt 3 ]
	then
		echo "Syntax : ./ePMC-Storm.sh <model>.pm <properties>.pctl <output>.m"
		exit 1
fi


PROPS=$(java -jar ${toolLoc}/ExtractProperty.jar $2)

COUNTER=1
while [ ${COUNTER} -le ${PROPS} ]; do
	echo "#!/bin/bash" > tmp.sh
	echo -e "\n" >> tmp.sh
	cat ${toolLoc}/stormLoc.txt  >> tmp.sh
	echo -e "\n" >> tmp.sh

	java -jar ${toolLoc}/ExtractProperty.jar $2 ${COUNTER} >> tmpProp.pctl
	echo -e "\n" >> tmp.sh

	#java -jar PrismCommand.jar $1 $2 -noprobchecks >> tmp.sh
	echo "\$storm --prism $1 --prop tmpProp.pctl" >> tmp.sh
	chmod +x tmp.sh

	./tmp.sh >> results.txt
	rm tmpProp.pctl
	let COUNTER=COUNTER+1
done


java -jar ${toolLoc}/ePMC_ExtractComponents.jar $1 repository.txt >> $3
java -jar ${toolLoc}/StormPMC2Matlab.jar results.txt >> $3

rm tmp.sh
rm results.txt
